OpenCV: cv::cuda::BroxOpticalFlow Class Reference

| OpenCV 3.4.2 Open Source Computer Vision

Public Member Functions | Static Public Member Functions | List of all members
cv::cuda::BroxOpticalFlow Class Referenceabstract
Core functionality » OpenGL interoperability » CUDA-accelerated Computer Vision » Optical Flow

Class computing the optical flow for two images using Brox et al Optical Flow algorithm ([Brox2004]). More...

`#include "cudaoptflow.hpp"`

Inheritance diagram for cv::cuda::BroxOpticalFlow:

## Public Member Functions
virtual double | getFlowSmoothness () const =0
virtual double | getGradientConstancyImportance () const =0
virtual int | getInnerIterations () const =0
| number of lagged non-linearity iterations (inner loop) More...
virtual int | getOuterIterations () const =0
| number of warping iterations (number of pyramid levels) More...
virtual double | getPyramidScaleFactor () const =0
virtual int | getSolverIterations () const =0
| number of linear system solver iterations More...
virtual void | setFlowSmoothness (double alpha)=0
virtual void | setGradientConstancyImportance (double gamma)=0
virtual void | setInnerIterations (int inner_iterations)=0
virtual void | setOuterIterations (int outer_iterations)=0
virtual void | setPyramidScaleFactor (double scale_factor)=0
virtual void | setSolverIterations (int solver_iterations)=0
Public Member Functions inherited from cv::cuda::DenseOpticalFlow
virtual void | calc (InputArray I0, InputArray I1, InputOutputArray flow, Stream &stream=Stream::Null())=0
| Calculates a dense optical flow. More...
Public Member Functions inherited from cv::Algorithm
| Algorithm ()
virtual | ~Algorithm ()
virtual void | clear ()
| Clears the algorithm state. More...
virtual bool | empty () const
| Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read. More...
virtual String | getDefaultName () const
virtual void | read (const FileNode &fn)
| Reads algorithm parameters from a file storage. More...
virtual void | save (const String &filename) const
virtual void | write (FileStorage &fs) const
| Stores algorithm parameters in a file storage. More...
void | write (const Ptr< FileStorage > &fs, const String &name=String()) const
| simplified API for language bindings This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...

## Static Public Member Functions
static Ptr< BroxOpticalFlow > | create (double alpha=0.197, double gamma=50.0, double scale_factor=0.8, int inner_iterations=5, int outer_iterations=150, int solver_iterations=10)
Static Public Member Functions inherited from cv::Algorithm
template<typename _Tp >
static Ptr< _Tp > | load (const String &filename, const String &objname=String())
| Loads algorithm from the file. More...
template<typename _Tp >
static Ptr< _Tp > | loadFromString (const String &strModel, const String &objname=String())
| Loads algorithm from a String. More...
template<typename _Tp >
static Ptr< _Tp > | read (const FileNode &fn)
| Reads algorithm from the file node. More...

## Additional Inherited Members
Protected Member Functions inherited from cv::Algorithm
void | writeFormat (FileStorage &fs) const

## Detailed Description

Class computing the optical flow for two images using Brox et al Optical Flow algorithm ([Brox2004]).

## Member Function Documentation

## ◆ create()

static Ptr<BroxOpticalFlow> cv::cuda::BroxOpticalFlow::create | ( | double | alpha = `0.197`,
|  | double | gamma = `50.0`,
|  | double | scale_factor = `0.8`,
|  | int | inner_iterations = `5`,
|  | int | outer_iterations = `150`,
|  | int | solver_iterations = `10`
| ) |  |
| static

## ◆ getFlowSmoothness()

virtual double cv::cuda::BroxOpticalFlow::getFlowSmoothness | ( |  | ) | const
| pure virtual

## ◆ getGradientConstancyImportance()

virtual double cv::cuda::BroxOpticalFlow::getGradientConstancyImportance | ( |  | ) | const
| pure virtual

## ◆ getInnerIterations()

virtual int cv::cuda::BroxOpticalFlow::getInnerIterations | ( |  | ) | const
| pure virtual

number of lagged non-linearity iterations (inner loop)

## ◆ getOuterIterations()

virtual int cv::cuda::BroxOpticalFlow::getOuterIterations | ( |  | ) | const
| pure virtual

number of warping iterations (number of pyramid levels)

## ◆ getPyramidScaleFactor()

virtual double cv::cuda::BroxOpticalFlow::getPyramidScaleFactor | ( |  | ) | const
| pure virtual

## ◆ getSolverIterations()

virtual int cv::cuda::BroxOpticalFlow::getSolverIterations | ( |  | ) | const
| pure virtual

number of linear system solver iterations

## ◆ setFlowSmoothness()

virtual void cv::cuda::BroxOpticalFlow::setFlowSmoothness | ( | double | alpha | ) |
| pure virtual

## ◆ setGradientConstancyImportance()

virtual void cv::cuda::BroxOpticalFlow::setGradientConstancyImportance | ( | double | gamma | ) |
| pure virtual

## ◆ setInnerIterations()

virtual void cv::cuda::BroxOpticalFlow::setInnerIterations | ( | int | inner_iterations | ) |
| pure virtual

## ◆ setOuterIterations()

virtual void cv::cuda::BroxOpticalFlow::setOuterIterations | ( | int | outer_iterations | ) |
| pure virtual

## ◆ setPyramidScaleFactor()

virtual void cv::cuda::BroxOpticalFlow::setPyramidScaleFactor | ( | double | scale_factor | ) |
| pure virtual

## ◆ setSolverIterations()

virtual void cv::cuda::BroxOpticalFlow::setSolverIterations | ( | int | solver_iterations | ) |
| pure virtual

The documentation for this class was generated from the following file:

- cudaoptflow/include/opencv2/cudaoptflow.hpp